# std::ranges::chunk_view<V>::inner-iterator::operator=

From cppreference.com
< cpp‎ | ranges‎ | chunk view‎ | inner iterator

/*inner-iterator*/& operator=( /*inner-iterator*/&& other ) = default; |  | (since C++23)

Assigns another iterator. This move assignment operator is generated by the compiler.

Moves the underlying pointer other. `parent_` to `parent_`.

### Parameters

other | - | an iterator

### See also

(constructor) (C++23) | constructs an iterator (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/ranges/chunk_view/inner_iterator/operator%3D&oldid=151887"